import fs from 'fs';
import { Database } from 'sqlite3';

// Ouverture de la base de données depuis le fichier `db.sqlite`
const db = new Database('db.sqlite');

// Récupération d'un entier aléatoire entre -99 et +99
db.get(
  'SELECT RANDOM() % 100 as result',
  (_, res) => console.log(res)
);

// Création de la table articles
db.exec(fs.readFileSync(__dirname + '/sql/articles.sql').toString());

// Insertion d'exemples
db.exec(fs.readFileSync(__dirname + '/sql/exemple-articles.sql').toString());

// Récupération des titres des deux premiers articles
db.all(
  'SELECT titre FROM articles ORDER BY LENGTH(description) DESC LIMIT 2',
  (_, res) => console.log(JSON.stringify(res))
);

// Mise à jour du titre de l'article d'id 3
const statement = db.prepare(
  `UPDATE articles SET titre='Troisième article' WHERE id=?`
)
statement.run([3]);

// Récupération du nouveau titre de l'article d'id 3
db.get(
  'SELECT titre FROM articles WHERE id=3',
  (_, res) => console.log(res)
);

// Suppression du nouveau titre du troisième article
const delete_statement = db.prepare(
  `DELETE FROM articles WHERE id=?`
)
delete_statement.run([3]);
